﻿html {
    height: 100%;
}
body{
background: rgb(0, 0, 0);
color: #fff;
height:100%;
background: url("../img/bg.jpg") no-repeat center center fixed;
-webkit-background-size: cover;
-moz-background-size: cover;
-o-background-size: cover;
background-size: cover;
text-align: center;
}
#datepicker{
  width:290px;
  flex: none;
}
.vcode{
letter-spacing: 10px;
font-weight: 900;
}
.table-dark,.bg-dark{
  background-color: rgba(56, 62, 70, 0.5)!important;
}
.bg-light{
  background-color: rgba(255, 255, 255,0.7)!important;
}

  /* Small devices (mobile) */
  @media (max-width: 768px){
    h1{
        font-size: 18px !important;
        padding-top: 10px;
        padding-bottom: 10px;
    }  
  }

  /* Small devices (tablets, 768px and up) */
  @media (min-width: 768px) {
    h1{
      font-size: 28px !important; 
    }  
  }

  /* Medium devices (desktops, 992px and up) */
  @media (min-width: 992px) {
    h1{
      font-size: 32px !important;
    }  
  }

  /* Large devices (large desktops, 1200px and up) */
  @media (min-width: 1200px) {
    h1{
      font-size: 40px !important;
    }  
  }


.glass-panel {  
  max-width: 90%;
}
.glass-panel .row{
  font-size: 14px;
  letter-spacing: 2px;
  text-transform: uppercase;
}
.glass-button {
  margin: 15px;
   /*margin-top: 40px; */
  margin-bottom: 15px;
}
.glass-panel {
  color: #fff;
  margin: 40px auto;
  background-color: rgba(255,255,255,0.06);
  border: 1px solid rgba(255,255,255,0.1);
  width: 100%;
  border-radius: 15px;
  backdrop-filter: blur(10px);
}

.glass-button {
  display: inline-block;
  padding: 24px 32px;
  border: 0;
  text-decoration: none;
  border-radius: 15px;
  background-color: rgba(255,255,255,0.1);
  border: 1px solid rgba(255,255,255,0.1);
  backdrop-filter: blur(30px);
  color: rgba(255,255,255,0.8);
  font-size: 14px;
  letter-spacing: 2px;
  cursor: pointer;
  text-transform: uppercase;
}

.glass-button:hover {
  background-color: rgba(255,255,255,0.2);
}
.navbar-dark .navbar-nav .nav-link{
	color:#fff !important;
}

.dropdown-item:focus, .dropdown-item:hover{
	background-color:rgba(0, 119, 153, 1)!important;
	color:#FFFF66!important;
}

.card-header{
	background-color:rgba(0, 119, 153, 1)!important;
	color:#FFFF66!important;
}
.btn-link{
	color:#FFFF66!important;
}

.card-body{
	background-color:rgba(0, 179, 232, 0.8)!important;
	color:#fff !important;
}
.navbar-dark .navbar-nav .nav-link:hover{
	color:#FFFF66!important;
}
.dropdown-menu{
	background:rgba(0, 0, 0, 0.1)!important;
  color: #fff;
}
.dropdown-item{
	color:#fff !important;
}

.mandatory{
	background-color:#FF6600!important;
}

.form-control:focus{
  border-color: #fff !important;
  box-shadow: 0 0 15px rgba(255, 255, 255, 1) !important;
  background-color:rgba(255,255,255,1)!important;
  color:#000F28 !important;
  font-weight:bold;
}

.form-control{
	background-color:rgba(255,255,255,0.9)!important;
}
.validerror{
	display:none !important;
}
.invalid-feedback{
  background-color:#FF3300!important;
  padding: 10px !important;
  border-radius: 0 !important;
  position: relative;
  display: inline-block !important;
  margin-top: 10px;
  color:#fff !important;
  border-radius: 0px 0px 5px 5px !important;
  font-size:medium!important;
   }

.invalid-feedback:before{
  content: '';
  width: 0;
  height: 0;
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  border-bottom: 10px solid #FF3300;
  position: absolute;
  top: -10px;
  right:40px;
}
.invalid-feedback:after{
  color: #FF3300!important;
}
/* Auto complete */
.autocomplete {
  /*the container must be positioned relative:*/
  position: relative;
  display: inline-block;
}
input {
  border: 1px solid transparent;
  background-color: #f1f1f1;
  padding: 10px;
  font-size: 16px;
}
input[type=text] {
  background-color: #f1f1f1;
  width: 100%;
}
input[type=submit] {
  background-color: DodgerBlue;
  color: #fff;
}
.autocomplete-items {
  position: absolute;
  border: 1px solid #d4d4d4;
  border-bottom: none;
  border-top: none;
  z-index: 99;
  /*position the autocomplete items to be the same width as the container:*/
  top: 100%;
  left: 0;
  right: 0;
  color:black;
}
.autocomplete-items div {
  padding: 10px;
  cursor: pointer;
  background-color: #fff; 
  border-bottom: 1px solid #d4d4d4; 
}
.autocomplete-items div:hover {
  /*when hovering an item:*/
  background-color: #e9e9e9; 
}
.autocomplete-active {
  /*when navigating through the items using the arrow keys:*/
  background-color: DodgerBlue !important; 
  color: #ffffff; 
}
/* Auto complete over */
.alert{
  animation: blinker 0.5s;
  animation-iteration-count: 3;
}
@keyframes blinker {  
  50% { opacity: 0; }
}

.visible {
  visibility: visible;
  opacity: 1;
  transition: opacity 1s linear;
}
.hidden {
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s 1s, opacity 2s linear;
}
.dg{
  background-color: rgba(0, 15, 4,0.7)!important;
}